import sqlite3


def create_database(name):
    return sqlite3.connect(name)


def create_tables(db):
    c = db.cursor()
    c.execute(
        """ CREATE TABLE IF NOT EXISTS Habits (
                                        id integer PRIMARY KEY,
                                        archived integer,
                                        color integer,
                                        description text,
                                        freq_den integer,
                                        freq_num integer,
                                        highlight integer,
                                        name text NOT NULL,
                                        position integer UNIQUE,
                                        reminder_hour integer,
                                        reminder_min integer,
                                        reminder_days integer,
                                        type integer,
                                        target_type integer,
                                        target_value real,
                                        unit text,
                                        question text,
                                        uuid text NOT NULL
                                    ); """
    )
    c.execute(
        """ CREATE TABLE IF NOT EXISTS Repetitions (
                                        id integer PRIMARY KEY,
                                        habit integer,
                                        timestamp integer,
                                        value integer
                                    ); """
    )


def migrate(trackers, events):
    db = create_database("output.db")
    create_tables(db)
